BlackBerry Forums Support Community               

Reply
 
LinkBack Thread Tools
Old 09-18-2008, 10:57 PM   #141 (permalink)
BBF Moderator
 
John Clark's Avatar
 
Join Date: Jun 2005
Model: Z30
OS: 10.2.1.x
PIN: s & needles
Carrier: AT&T
Posts: 34,667
Post Thanks: 1
Thanked 84 Times in 65 Posts
Default

Please Login to Remove!

I'd be happy to but I got myself removed from the software config on the BES a while back (due to this issue) and have been using Google Maps now with no issues. It's the software config that causes the problems. I just wanted to get a couple people who got the lockup with the older versions to install the newest version to confirm, that's all.
Offline   Reply With Quote
Old 09-19-2008, 09:07 AM   #142 (permalink)
Talking BlackBerry Encyclopedia
 
jubrand's Avatar
 
Join Date: Oct 2004
Location: Chicago, IL
Model: 8900
OS: 4.6.1.231
Carrier: T-Mobile
Posts: 352
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Confirming that it works on the latest 4.5 OS for the Curve 8320. I always got the lockups before. I was stuck with 1.6 for the last month or so.
Offline   Reply With Quote
Old 09-19-2008, 09:08 AM   #143 (permalink)
Thumbs Must Hurt
 
Join Date: Oct 2007
Location: Philadelphia (burbs), PA
Model: 9700
OS: 5.0.0.680
PIN: N/A
Carrier: TMO
Posts: 109
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

John,
Google officially confirms the fix on thier forums as well.

Google maps version to work with Blackberry OS4.5? - Google Maps for mobile | Google Groups
Offline   Reply With Quote
Old 09-20-2008, 09:33 AM   #144 (permalink)
Knows Where the Search Button Is
 
Join Date: Dec 2004
Model: 9000
Carrier: AT&T
Posts: 41
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by John Clark View Post
Wirelessly posted (BB 11020)

That's good news. Can anyone else confirm this?
Yes - works perfectly
Offline   Reply With Quote
Old 10-02-2008, 11:04 AM   #145 (permalink)
New Member
 
Join Date: Sep 2008
Model: 8310
PIN: N/A
Carrier: at&t
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

OK I am new to a blackberry. I have a curve (8310) from AT&T with OS 4.2.2.170. By using the tips in this thread I have gotten BB maps to work. However when ever I try to download Google Maps to my phone via OTA I get the message "The item you selected cannot be displayed. Do you wish to save the item?" I click "Yes" and it saves to a default folder "Device Memory/home/user". I then get a screen titled "Downloads" and it shows the file and file size. What do I do now?????????
Offline   Reply With Quote
Old 10-04-2008, 03:53 AM   #146 (permalink)
New Member
 
shahpar's Avatar
 
Join Date: Sep 2008
Model: 8100
PIN: N/A
Carrier: O2
Posts: 6
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

[quote=Spamdumpster;937068]I've read in a few threads that on beta OS 4.5 (1) people are having problems with google maps, and (2) AT&T people are having trouble with blackberry maps.



hi

any maps for BB 8100 pearl for UK on O2 netwrok.
Offline   Reply With Quote
Old 10-04-2008, 11:09 AM   #147 (permalink)
BBF Moderator
 
John Clark's Avatar
 
Join Date: Jun 2005
Model: Z30
OS: 10.2.1.x
PIN: s & needles
Carrier: AT&T
Posts: 34,667
Post Thanks: 1
Thanked 84 Times in 65 Posts
Default

Yes, Google Maps works in the UK.
Offline   Reply With Quote
Old 11-03-2008, 12:49 PM   #148 (permalink)
Knows Where the Search Button Is
 
Join Date: Sep 2005
Location: atlant
Model: 8830
Carrier: verizon
Posts: 39
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by knoppe01 View Post
Yes - works perfectly
I am still having the same issues. Running 4.5.0.77 on an 8830. 1.6 works fine. 2.3.2 seems to keep asking whether to allow radio access and never stops asking. I miss my location !!! can anyone help
Offline   Reply With Quote
Old 11-04-2008, 09:46 PM   #149 (permalink)
Thumbs Must Hurt
 
DSS597's Avatar
 
Join Date: Apr 2005
Location: California
Model: 9700
OS: 5.0.0.296
Carrier: AT&T
Posts: 185
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by myk.dinis View Post
Absolutely spot on! The link worked, the steps all worked...I'm on AT&T and I haven't been able to use BB Maps. I can now!

Thanks again!

Myk
What does this step mean exactly?
3.) Extract Files to the OS directory and replace any duplicate files. Make sure you copy whichever ones its asking to replace beforehand as well just to be safe.

Which OS directory do you extract this to?
__________________
7100t7100i883083309000 BlackBerry Bold 9700
Offline   Reply With Quote
Old 11-25-2008, 08:28 PM   #150 (permalink)
New Member
 
Join Date: Mar 2006
Location: Naples, Fl
Model: Curve
Carrier: AT&T
Posts: 12
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

dumb question - do we delete all existing "lbs" files from the 4.5 java folder? or just copy over the files from 4.2 and overright some?


2. BB Maps. The issue is that the version of BB maps that comes with 4.5 requires a service book, which at&t refuses to push down (or, more accurately, pushes down blank service books). The solution, of course, is to load an older version of BB Maps. Replace the LBS.alx file with the file from a 4.2 installation and copy all of the modules (cod files) with "lbs" in them from the 4.2 installation to the 4.5 java folder. Then run app manager.
Offline   Reply With Quote
Old 12-14-2008, 12:51 PM   #151 (permalink)
Thumbs Must Hurt
 
txschafers's Avatar
 
Join Date: Apr 2006
Model: 8700c
Carrier: Cingular
Posts: 115
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by OrionXBeta View Post
Theres another easier way to get BBMaps to work.

1.) Download the BBMaps software from RIM, youll need to fill a user information page before the link. It doesnt have to be a real email address. ( Download )

2.) Run Apploader and remove any traces of BBMaps currently on your phone

3.) Extract Files to the OS directory and replace any duplicate files. Make sure you copy whichever ones its asking to replace beforehand as well just to be safe.

4.) Run the AppLoader application and choose the supplied ALX file and then continue the install.

Now I tried this and received the "no additional applications designed for your device" which Ive been getting for everything anyways. But I continued to the next page and the apploader already grabbed that ALX file because there were two Blackberry Maps options to choose from and install. I checked the details and chose the one that had all of the modules that were in the BBMaps ZIP file from RIM.

If you do what was listed above you will have BBMaps no matter what carrier or OS youre running.

Im currently running a Curve 8310 on AT&T with OS 4.5.0.37 with no issues

Enjoy

Worked perfectly!! I LOVE sticking it to AT&T when they pull crap like this and try to take things away. There is NO WAY I would ever buy the neutered version of Telenav they offer. I run Garmin on my 8820 and LOVE it.
Offline   Reply With Quote
Old 12-17-2008, 08:36 AM   #152 (permalink)
New Member
 
Join Date: Dec 2008
Model: 8310
PIN: N/A
Carrier: AT&
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default On-going problems w. bb maps

Firstly, thanks to tips from this forum, I was able to upgrade my 8310 to OS 4.5, which gave me access to applications I needed. Thanks.
However, I'm stumped on this bbmaps issue, which I had running before and which I also need.
I'm a novice, but it appears that when I installed 4.5, it upgraded my version of bbmaps, which now is blocked.
I did find two versions of 4.2, both of which I tried installing to my computer at different times. But in both instances, I couldn't find any directory containing the 4.2 files on the computer after what purported to be a successful installation.
As for these instructions:

.... Replace the LBS.alx file with the file from a 4.2 installation and copy all of the modules (cod files) with "lbs" in them from the 4.2 installation to the 4.5 java folder. Then run app manager.

Since I can't find the directory, I can't locate those files. And I can't find them in the existing version of 4.5 I have installed, either.
What am I doing wrong?

Thanks.
Offline   Reply With Quote
Old 03-09-2009, 04:43 PM   #153 (permalink)
Thumbs Must Hurt
 
LaoMayer's Avatar
 
Join Date: Feb 2009
Location: Romania
Model: 8900
OS: 5.0.0.411
PIN: ---
Carrier: Orange
Posts: 87
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I followed all the steps above and got this error, although BB Maps does show-up in Applications.

"Error starting net_rim_bb_lbs: Class 'net.rim.device.apps.api.quickcontact.QuickContact Icons' not found."

Anyone got a solution for this?
Offline   Reply With Quote
Old 03-16-2009, 01:29 PM   #154 (permalink)
New Member
 
Join Date: Mar 2009
Model: 8310
PIN: N/A
Carrier: at&t
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Help!

so, i got to the middle of page 3 and have tried about 8 different things to get bb maps to work on my at&t 8310. clearly, i am the biggest moron on this site because i still can't figure it out. there is at least one thing from all of the suggestions that i don't understand.

i upgraded my software to v 4.5 and my bb maps is gone. i tried deleting it from my service books and from my desktop manager and reloading it by clicking on the link to download bb maps direclty from the blackberry site. the file that saves on my desktop is not recognized by the desktop manager. i also tried going into loader files and deleting all files that contain 'lbs'.

i have probably totally screwed up my phone because i can't even open the 'options' icon. it gives me an error: 'uncaught exception'.

can someone please help me? i mean, i am pretty much willing to lose my left arm to have my phone fixed again.

thank you!
Offline   Reply With Quote
Old 04-19-2009, 10:23 AM   #155 (permalink)
New Member
 
Join Date: Mar 2006
Location: Naples, Fl
Model: Curve
Carrier: AT&T
Posts: 12
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Apparently a number of us are missing something in the instructions -

Can anyone help?
Thanks.
Offline   Reply With Quote
Old 07-07-2009, 10:14 PM   #156 (permalink)
New Member
 
Join Date: Jul 2009
Model: 8900
PIN: N/A
Carrier: AT&T
Posts: 1
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by LaoMayer View Post
I followed all the steps above and got this error, although BB Maps does show-up in Applications.

"Error starting net_rim_bb_lbs: Class 'net.rim.device.apps.api.quickcontact.QuickContact Icons' not found."

Anyone got a solution for this?
Same here. ATT 8900 running 4.6.1.231. Have installed, deleted, reinstalled the os and apps so many times I think the device will fail. Best I get is the icon and the message as above:

"Error starting net_rim_bb_lbs: Class 'net.rim.device.apps.api.quickcontact.QuickContact Icons' not found."

Any clues here.
Offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.